'use strict';

const request = require('./request');
const middleware = require('./middleware');
const correlation = require('./correlation');
const authEntity = require('@codefresh-io/authenticated-entity');

authEntity.setInternalRequestLogic(request);

module.exports = Object.assign(
    {},
    { request },
    correlation,
    middleware,
    { authEntity }
);
